Make charge

It will return payment link

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Overview

📘

Request Header

Add "Authorization": "Bearer {Token}" to the request header.

Request Model

The request is a POST request with the following parameters:

Input ParameterTypeLengthDescription
productsobject, optional
products. namestring, optional255Pass product name here
products.descriptionstring, optional255Pass product description here
products.pricefloat, optional7Pass product price here
products.quantityinteger, optional7Pass quantity here
orderobject, mandatory
order.idstring, mandatory40Refers to the order or transaction ID in your system that you have sent in the request earlier
order.referencestring, optional255Refers to the order or transaction ID in your system that you have sent in the request earlier
order.descriptionstring, mandatory500Refers to the order description
order.currencystring, mandatory3
order.amountfloat, mandatory22The amount you are seeking to charge the customer accepts decimal values e.g. 2.50.
paymentGatewayobject, (Mandatory if you are White label user)
paymentGateway.srcstring, (Mandatory if you are White label user)11 (maximum)You need to pass payment source here like knet, cc, samsung-pay, apple-pay, apple-pay-knet, google-pay and create-invoice
notificationType (for create-invoice)string, (Mandatory if using the above paymentGateway.src = create-invoice)5 (maximum)• email - send the invoice link by email only. You should provide the customer.email.
• sms - send the invoice link by SMS only. You should provide the customer.mobile.
• link - returns only the invoice URL through the response.
• all - send the invoice link by both email and SMS, you have to provide all the needed parameters.
languagestring, mandatory2
  • en* to display the checkout page in English
  • ar* to display the checkout page in Arabic
tokensobject, mandatory
tokens.customerUniqueTokeninteger, optional8 (minimum)Pass customer unique token here. you will get saved card on payment page.
referenceobject, mandatory
reference.idstring, mandatory35Refers to the order or transaction ID in your own system we will save your ID for our reference.
customerobject, optional
customer.uniqueIdstring, optional50Pass customer unique ID for our reference
customer.namestring, optional50Pass customer name for our reference
customer.emailstring, optional50Pass customer email address here. If notificationType = email customer will receive the payment receipt on this email address.
customer.mobilestring, optional15

Pass the customer phone number here. If notificationType.mobile is true, the customer will receive the payment sms on this mobile number.
Note: The mobile number must include the country code at the beginning, prefixed with a + sign, followed strictly by digits. Do not include spaces or special characters such as dashes (-) or parentheses (()).

Example of correct format: +12345678901

Example of incorrect format: +1 (234) 567-8901

customerExtraDatastring, optionalWe can pass any User Define Data (UDF) here
extraMerchantDataobject, optional
extraMerchantData.amountfloat, optional10Pass merchant transaction amount.
extraMerchantData.knetChargefloat, optional2,2
  • Main vendor Knet charge rate* for the sub vendor. This is the merchant's (main vendor) commission for each transaction from the sub-vendor. This amount is credited to the main vendor
extraMerchantData.knetChargeTypestring, optional10Knet charge type (fixed or percentage)
extraMerchantData.ccChargefloat, optional2,2
  • Main vendor Credit Card charge rate* for the sub-vendor. This is the merchants' (main vendor) commission for each transaction from the sub-vendor. (Includes MasterCard, Visa, Samsung Pay, Google Pay, and Apple Pay). This amount is credited to the main vendor
extraMerchantData.ccChargeTypestring, optional10CreditCard charge type (fixed or percentage)
extraMerchantData.ibanNumberstring, optional25Sub-vendor IBAN Numbers. Defines which Sub vendor Bank account to deposit the Order amount after commisions are deducted.
returnUrlstring, mandatory250The return URL you like to have the successful payment, example:\
https://upayments.com/en/?payment_id=100527020000000598&result=CAPTURED&post_date=0927
&tran_id=527020000293353&ref=527020000040&track_id=019988a5066a999800a57eb83d309bafv2
&auth=B54978&order_id=019988a5066a999800a57eb83d309bae&requested_order_id=202210101255255144669
&refund_order_id=019988a5066a999800a57eb83d309bae&payment_type=knet&invoice_id=6058253
&transaction_date=2025-09-27%2003%3A09%3A49&receipt_id=019988a5066a999800a57eb83d309bae&trn_udf=User%20define%20data
cancelUrlstring, mandatory250The cancel URL you like to have the cancel or failure payment
notificationUrlstring, mandatory250The notification URL will receive the webhook data
pluginobject, optional
plugin.srcstring, optional11Supported plugin opencart,whmcs,cscart,woocommerce,magento,ecwid,android-sdk,ios-sdk and flutter-sdk
paymentLinkExpiryInMinutesinteger, optionalIf you want to set the expiration for the payment link, you need to set this parameter value in minutes.

Explore Different Charge Types

  1. Whitelabel
  2. Non-Whitelabel
  3. With Retrieving Saved Cards
  4. Multi-merchant
  5. Create Invoice
Body Params
Responses

400

Bad Request

401

Unauthenticated

403

Forbidden

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json